Subject: Re: Bf 109k submission
From: "Steve Bamford" <[email-masked]>
To: "Alessandro Patroncino" <[email-masked]>
Date: Mon, 24 Feb 2003 14:09:55 -0800

----- Original Message ----- 
  From: Alessandro Patroncino 
  To: Steve Bamford 
  Sent: Sunday, January 19, 2003 4:16 PM
  Subject: Bf 109k submission

  Hello Steve
  here is my submission for an Hase Bf109K, let me know if it's all ok for you

  Alessandro Patroncino - Warbirds in Scale
  [email-masked] - http://www.flinstone.it 

  Text

  The model is a good edition by HasegawaT of the Bf109 K4 with the Erla haube windscreen. The price of the box was under cost of  the other usual expensive HasegawaT models with a lot of spare parts for the "Gustav" version of the Bf109. The construction was mostly out of the box with some little surgery on the model: the wheels well where I opened the holes of the landing gear troughs (in the kit they are closed), the split flaps (that function as radiator shutters and supplemental landing flaps) where I simulate ribs with two tiny strips of plasticard, the trailing antenna in the belly of the number 3 bulkhead, the canopy release mechanism and the canopy retainer spring-lock, the shoulder harness and the seat belts (EduardT photo etched parts). The aircraft was painted with Aeromaster acrylic paints (R.I.P.): RLM 76 lichtblau for the lower surfaces and the camouflage was made with RLM 75 grauviolett and RLM 83 dunkelgrün. A model made with no particular details improvements and with quick work really enjoyable for everyone, not only expert one but good also for beginners. The model is a very delight to build, easy to assembly and it needs just a little amount of putty. A good result without a particular effort. Recommended for everyone who wants to relax making models. Just glue. fill and paint.